<script>
	import {createEventDispatcher} from 'svelte'
	import Bubble from './bubble'

	const dispatch = createEventDispatcher()
	class Toggler extends Set{
		toggle(key){
			if(!this.has(key)) this.add(key)
			else this.delete(key)
			dispatch('change', this)
			return this
		}
	}

	export let values = []
	let selected = new Toggler()
</script>
<style>
</style>
<div>
	{#each values as {text, subscript}}
		<Bubble {text} {subscript} selected={selected.has(text)} on:click={()=> selected = selected.toggle(text)}/>
	{/each}
</div>
